angular.module('demo', ["ejangular"]);
angular.module('demo').controller("demoController", function() {
    var vm = this;
    var item1 = { id: 1, name: "item1", hasChild: true, isExpanded: true };
    var item2 = { id: 2, parentId: 1, name: "item2", isSelectable: true };
    var item3 = { id: 3, parentId: 1, name: "item3", isSelectable: true };
    vm.metricsTreeViewList = [item1, item2, item3];

    vm.onMetricChecked = function() {
        console.log("On Check Event...");
    }

});
angular.module("demo")
    .directive("maTreeviewCheckbox", [
        function () {
            return {
                link: function (scope, elem, attrs) {

                    elem.ejTreeView({
                        expandOn: "",
                        nodeClick: function (args) {
                            if ((args.currentElement.nodeName === "DIV" && args.currentElement.className === "") || args.currentElement.nodeName === "A") {
                                console.log("On Click Event");
                                var treeObj = elem.ejTreeView("instance");
                                var element = $(args.currentElement).parents("li.e-item")[0];
                                isChecked = $(elem).ejTreeView("isNodeChecked", element);
                                !isChecked ? treeObj.checkNode(element) : treeObj.uncheckNode(element);
                            }
                        }
                    });

                }
            };
        }
    ]);
